## NAME

r.water.outlet - Watershed basin creation program.

## KEYWORDS

raster, hydrology

## SYNOPSIS

r.water.outlet
r.water.outlet help
r.water.outlet drainage=string basin=string easting=x northing=y [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

drainage=string
  Name of input raster map
basin=string
  Name of raster map to contain results
easting=x
  The map E grid coordinates
northing=y
  The map N grid coordinates

## DESCRIPTION

r.water.outlet generates a watershed basin from a drainage direction map (from r.watershed) and a set of coordinates representing the outlet point of watershed.

### Selected Parameters

drainage=name
  Input map: drainage direction. Indicates the "aspect" for each cell. Multiplying positive values by 45 will give the direction in degrees that the surface runoff will travel from that cell. The value -1 indicates that the cell is a depression area. Other negative values indicate that surface runoff is leaving the boundaries of the current geographic region. The absolute value of these negative cells indicates the direction of flow. This map is generated from r.watershed.
basin=name
  Output map: Values of one (1) indicate the watershed basin. Values of zero are not in the watershed basin.
easting=value
  Input value: Easting value of outlet point.
northing=value
  Input value: Northing value of outlet point.

## NOTES

In the context of this program, a watershed basin is the region upstream of an outlet point. Thus, if the user chooses an outlet point on a hill slope, the resulting map will be a thin silver of land representing the overland slope uphill of the point.

## EXAMPLE

A watershed in the North Carolina sample dataset region:

    g.region rast=elev_lid792_1m -p
    # the watershed outlet position should be placed on a stream (from
    # accumulation map):
    r.watershed elev_lid792_1m thresh=5000 accum=accum_5K \
      drain=draindir_5K basin=basin_5K
    r.water.outlet drainage=draindir_5K basin=basin_A30 \
      east=638741.43125 north=220269.7
    d.mon x0
    d.rast accum_5K
    d.rast -o basin_A30

    # overlay with transparency
    r.colors basin_A30 color=grey
    d.his h=accum_5K i=basin_A30

Watershed draped over flow accumulation

## SEE ALSO

d.where, r.watershed, r.topidx

## AUTHOR

Charles Ehlschlaeger, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team